Get Quote (Exact Out)

Destination-amount (“reverse”) quote. Given a target fiat payout (exactAmountOut) for a specific delivery speed, returns how much of the input token the merchant needs to send so that — after swap, gas and withdraw fees — the withdrawer nets exactly that payout.

This is the inverse of GET /withdraw/quote.

Authentication

x-coinflow-auth-walletstring
The web3 wallet of the end user - see https://docs.coinflow.cash/api-reference/api-reference/authentication/get-session-key
x-coinflow-auth-blockchainstring
The blockchain associated with the end user - see https://docs.coinflow.cash/api-reference/api-reference/authentication/get-session-key
x-coinflow-auth-merchant-idstring
The merchant ID the session should be generated for
OR
x-coinflow-auth-user-idstring
The external identifier of the end user - see https://docs.coinflow.cash/api-reference/api-reference/authentication/get-session-key
x-coinflow-auth-blockchainstring
The blockchain associated with the end user - see https://docs.coinflow.cash/api-reference/api-reference/authentication/get-session-key
Authorizationstring
The API key of the merchant - see https://docs.coinflow.cash/api-reference/api-reference/authentication/get-session-key
OR
x-coinflow-auth-session-keystring
The session key generated for the end user - see https://docs.coinflow.cash/api-reference/api-reference/authentication/get-session-key

Query parameters

exactAmountOutdoubleRequired
- The fiat payout amount (in cents) the withdrawer should receive.
speedenumRequired
  • The withdraw delivery speed the payout is for.
inputTokenstringRequired
- The token address or contract of the token which the user is withdrawing.
merchantIdstringRequired
  • The merchant that this quote is for.
currencyenumOptional
- The currency of `exactAmountOut`. Defaults to the account/withdrawer currency.
usePermitbooleanOptionalDefaults to true
- [EVM only] whether the user's wallet supports signing permit messages.
accountTokenstringOptional
  • The token of the account to use

Response

Ok
inputAmountdouble
exactAmountOutobject
quoteobject
Represents the fees and limits associated with a withdrawal quote.